chemistry-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Barrie Smith" <barrie.sm...@comanaco.com>
Subject RE: [DISCUSSION] Java 5 support
Date Tue, 09 Apr 2013 09:39:33 GMT
Hi Florian - I'm using Java 6 & 7 so Java 5 is not relevant for me.

-----Original Message-----
From: Florian Müller [mailto:fmui@apache.org] 
Sent: 09 April 2013 10:02
To: dev@chemistry.apache.org
Subject: [DISCUSSION] Java 5 support

 Hi all,

 Today, OpenCMIS supports Java 5 and later. I'd like to discuss if we  still need Java 5 support
or if we can drop it.

 We have made a few compromises in OpenCMIS to support Java 5  (especially around Web Services)
and implemented stuff ourselves that is  part of Java 6 and later (for example the cookie
handling). Getting rid  of the Java 5 support could simplify the OpenCMIS code base in a few
 places.

 Java 5 reached end of live in 2009. Do you feel that it is still  relevant for OpenCMIS users?


 - Florian


Mime
View raw message